Odysseus Studio won't start on MacBook Pro, OS-X v.10.8.5

Post Reply
kauerbach
Posts: 30
Joined: Fri Aug 22, 2014 4:52 pm

Odysseus Studio won't start on MacBook Pro, OS-X v.10.8.5

Post by kauerbach » Fri Sep 12, 2014 10:20 pm

Hello,

I just installed Odysseus Studio on a MacBookPro with OS-X, version 10.8.5 and I get a "FrameWorkEvent Error" when I try to execute the program. I was able to install the Java JDK version 1.7.0 which shows up when I type "java -version" in the terminal. The content of the log file is copied below.

Thank you.
Regards,
Ken Auerbach.

-----------------------------
!SESSION 2014-09-12 15:51:38.418 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_65
java.vendor=Apple Inc.
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en
Framework arguments: -keyring /Users/wolfschnab/.eclipse_keyring -showlocation
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -console -clean -data @noDefault -keyring /Users/wolfschnab/.eclipse_keyring -showlocation

!ENTRY de.uniol.inf.is.odysseus.client.starter 4 0 2014-09-12 15:51:39.628
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: The bundle "de.uniol.inf.is.odysseus.client.starter_1.0.0.21292 [9]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.7
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1327)
at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1311)

User avatar
Marco Grawunder
Posts: 272
Joined: Tue Jul 29, 2014 10:29 am
Location: Oldenburg, Germany
Contact:

Re: Odysseus Studio won't start on MacBook Pro, OS-X v.10.8.

Post by Marco Grawunder » Mon Sep 15, 2014 11:02 am

Yes, this is a know problem for the base rcp version we use for odysseus.

See

http://odysseus.offis.uni-oldenburg.de: ... acOSXJava7

for a solution.

Post Reply

Who is online

Users browsing this forum: Bramoi and 1 guest